Bug 14113 - byte range locking bugs/regressions in 4.11
Summary: byte range locking bugs/regressions in 4.11
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services (show other bugs)
Version: 4.11.0rc1
Hardware: All All
: P5 regression (vote)
Target Milestone: 4.11
Assignee: Stefan Metzmacher
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-03 13:12 UTC by Stefan Metzmacher
Modified: 2019-09-11 07:52 UTC (History)
2 users (show)

See Also:


Attachments
Patches for v4-11-test (153.52 KB, patch)
2019-09-09 16:02 UTC, Stefan Metzmacher
metze: review? (vl)
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2019-09-03 13:12:36 UTC
While adapting a customers vfs module to 4.11 I noticed some regressions
in the byte range locking refactoring that happened in master and 4.11.
Comment 1 Stefan Metzmacher 2019-09-09 06:37:01 UTC
There mainly these problems:

1. The SMB1 code has a potential race condition when
   a local posix lock is blocking the request.

2. The SMB2 code doesn't handle local posix locks at all.

3. The SMB1 code that queues pending locks on an fsp
   mixes requests and doesn't look at the byte ranges.
Comment 2 Stefan Metzmacher 2019-09-09 16:02:10 UTC
Created attachment 15464 [details]
Patches for v4-11-test
Comment 3 Stefan Metzmacher 2019-09-09 16:03:57 UTC
Comment on attachment 15464 [details]
Patches for v4-11-test

Review granted offline, pushed to autobuild-v4-11-test.
Comment 4 Karolin Seeger 2019-09-11 07:52:41 UTC
Pushed to v4-11-test (and included in rc4).
Closing out bug report.

Thanks!